From: "Thomas Deutschmann" <whissi@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-dns/dnsviz/
Date: Wed, 29 Sep 2021 16:55:40 +0000 (UTC) [thread overview]
Message-ID: <1632934515.91059e698fb59c9603898af1a730ada1b55c7019.whissi@gentoo> (raw)
commit: 91059e698fb59c9603898af1a730ada1b55c7019
Author: Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Wed Sep 29 16:46:01 2021 +0000
Commit: Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Wed Sep 29 16:55:15 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=91059e69
net-dns/dnsviz: bump to v0.9.4
Package-Manager: Portage-3.0.26, Repoman-3.0.3
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>
net-dns/dnsviz/Manifest | 1 +
net-dns/dnsviz/dnsviz-0.9.4.ebuild | 52 ++++++++++++++++++++++++++++++++++++++
2 files changed, 53 insertions(+)
diff --git a/net-dns/dnsviz/Manifest b/net-dns/dnsviz/Manifest
index e38cd2751fc..297267a16d5 100644
--- a/net-dns/dnsviz/Manifest
+++ b/net-dns/dnsviz/Manifest
@@ -1,3 +1,4 @@
DIST dnsviz-0.8.2.tar.gz 404265 BLAKE2B c4ba6b5a7d6fee7c8e2cba0c90f29560152dd4beed1ef4d80a6a3bf9f81646ee8f0d61c38329233e300f2b434cb5d9e9d2a926dc72997ae68ff0a57e147bafcf SHA512 5414d9bda6c0bf5fdc5a84a09cb5833619110702749b12f87d63f5149de473f4bd1b6960c506c60ec5fc5ff82d789536cee70a299ff13c960a45776de2916c80
DIST dnsviz-0.9.2.tar.gz 477947 BLAKE2B 62b94e6b05d1129d5c4655ff1faf8adb3c2eec868db6049e09dd180cebccab94412eee25293d83ec3e6bc5b18fae33ba0acfe3c3b30cececdd4952005879eab0 SHA512 8ad9e1aabb4704ff4939617532c32e5edde0d369efd2e4a7a6f30d33b8bac941b2d1073e98fed90e2a11438a0b1c18b8fafe07f4122fb888ebdb24bd2426abf6
DIST dnsviz-0.9.3.tar.gz 477931 BLAKE2B e3e020fdddacdf06a4e7b78edade72136d6530dac5b243b30e97f609c9fb3b912fb6d6c00b8c54e17f1d2ba411a2b116f9cb89bfc51c01f43d8a1a03a00755aa SHA512 8ccaa29df6cc7824db7153950d5cb423d1ac7a76ae20a15b35c2e66d362b3340e23a9973f71b884ea7e7b861e2bb0051e32abc3e45795792a7db3b01b62449c5
+DIST dnsviz-0.9.4.tar.gz 477971 BLAKE2B 3c8bebcea89bc6e78247c45c4266f73be4f9f618bfaa48a47460a43deb4789fe71eaa77eb4ff59c2d8e863cdfdddaf5908279aad93ffd63fdbe16d0966aa943b SHA512 b88d0ddff6279078a5222b4250a404c39db6d896d57bba51c878c8b8d01582deda2fe67b5f6370d7a98389e09ad46bdf3903d77fee91c0291b14a9109f1739e3
diff --git a/net-dns/dnsviz/dnsviz-0.9.4.ebuild b/net-dns/dnsviz/dnsviz-0.9.4.ebuild
new file mode 100644
index 00000000000..b658637d8b2
--- /dev/null
+++ b/net-dns/dnsviz/dnsviz-0.9.4.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{7,8,9} )
+inherit distutils-r1 optfeature
+
+DESCRIPTION="Tool suite for analysis and visualization of DNS and DNSSEC"
+HOMEPAGE="https://dnsviz.net/"
+SRC_URI="https://github.com/dnsviz/dnsviz/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="test? ( net-dns/bind )"
+
+DEPEND=">=dev-python/dnspython-1.13[${PYTHON_USEDEP}]
+ >=dev-python/m2crypto-0.37.0[${PYTHON_USEDEP}]
+ >=dev-python/pygraphviz-1.3.1[${PYTHON_USEDEP}]"
+
+RDEPEND="${DEPEND}"
+
+python_prepare_all() {
+ # Fix the ebuild to use correct FHS/Gentoo policy paths
+ sed -i \
+ -e "s|share/doc/dnsviz|share/doc/${PF}|g" \
+ "${S}"/setup.py \
+ || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ distutils_install_for_testing
+
+ "${EPYTHON}" tests/dnsviz_probe_run_offline.py -v || die
+ "${EPYTHON}" tests/dnsviz_print_options.py -v || die
+ "${EPYTHON}" tests/dnsviz_print_run.py -v || die
+ "${EPYTHON}" tests/dnsviz_graph_options.py -v || die
+ "${EPYTHON}" tests/dnsviz_graph_run.py -v || die
+ "${EPYTHON}" tests/dnsviz_grok_options.py -v || die
+ "${EPYTHON}" tests/dnsviz_grok_run.py -v || die
+}
+
+pkg_postinst() {
+ optfeature "Support for pre-deployment testing" net-dns/bind
+ optfeature "Support for DNSSEC signatures using GOST algorithm or digest" dev-libs/ghost-engine
+}
next reply other threads:[~2021-09-29 16:55 UTC|newest]
Thread overview: 22+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-09-29 16:55 Thomas Deutschmann [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-06-02 4:57 [gentoo-commits] repo/gentoo:master commit in: net-dns/dnsviz/ Sam James
2024-06-02 4:57 Sam James
2023-06-20 12:04 Florian Schmaus
2023-03-30 20:00 Michał Górny
2023-03-30 20:00 Michał Górny
2022-07-02 15:53 Sam James
2022-06-03 7:36 Sam James
2021-03-20 8:25 Joonas Niilola
2021-03-18 20:32 Thomas Deutschmann
2021-02-09 18:47 Thomas Deutschmann
2021-01-22 14:42 Thomas Deutschmann
2021-01-22 0:06 Thomas Deutschmann
2020-08-22 13:41 Thomas Deutschmann
2020-08-22 13:41 Thomas Deutschmann
2020-08-22 13:41 Thomas Deutschmann
2020-08-22 13:41 Thomas Deutschmann
2020-08-22 13:41 Thomas Deutschmann
2020-02-05 6:43 Michał Górny
2019-10-23 5:10 Joonas Niilola
2019-08-12 8:02 Agostino Sarubbo
2019-04-03 20:17 Patrice Clement
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1632934515.91059e698fb59c9603898af1a730ada1b55c7019.whissi@gentoo \
--to=whissi@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox